ランタイム: Mix::Geometry::AABB Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Mix::Geometry::AABB Class Reference

AABBクラス More...

`#include <AABB.h>`

Collaboration diagram for Mix::Geometry::AABB:
[legend]

## Public Member Functions

| AABB (void)
| コンストラクタ More...
| AABB (const Mix::Vector3 &_min, const Mix::Vector3 &_max)
| コンストラクタ More...
| AABB (const Mix::Geometry::Sphere &sphere)
| コンストラクタ More...
AABB & | ComputeMinMax (void)
| 頂点座標から最小値、最大値を求めます More...
AABB & | ComputeMinMax (const Mix::Matrix4x4 &mat)
| 頂点座標から最小値、最大値を求めます More...
AABB & | ComputePoints (void)
| 設定された「最小値」「最大値」を元にAABBの頂点座標(8つ)を求めます More...
AABB & | ComputePoints (const Mix::Matrix4x4 &mat)
| 最小値、最大値から頂点座標を求めます More...
AABB & | operator= (const Mix::Geometry::Sphere &sphere)
| 球を代入します More...
AABB & | operator+= (const Mix::Geometry::AABB &aabb)
| AABBを代入結合します More...
AABB & | operator+= (const Mix::Geometry::Sphere &sphere)
| 球を代入結合します More...
AABB & | operator+= (const Mix::Vector3 &point)
| ポイントを代入結合します More...
AABB | operator+ (const Mix::Geometry::AABB &aabb) const
| AABBを結合します More...
AABB | operator+ (const Mix::Geometry::Sphere &sphere) const
| 球を結合します More...
AABB | operator+ (const Mix::Vector3 &point) const
| ポイントを結合します More...

## Public Attributes

Mix::Vector3 | min
| 最小値 More...
Mix::Vector3 | max
| 最大値 More...
Mix::Vector3 | center
| 中心 More...
Mix::Vector3 | points [8]
| 頂点座標配列 More...

## Detailed Description

AABBクラス

## Constructor & Destructor Documentation

Mix::Geometry::AABB::AABB | ( | void |  | ) |

コンストラクタ

Mix::Geometry::AABB::AABB | ( | const Mix::Vector3 & | _min,
|  | const Mix::Vector3 & | _max
| ) |  |

コンストラクタ

Parameters

  [in] | _min | 最小値
  [in] | _max | 最大値

Mix::Geometry::AABB::AABB | ( | const Mix::Geometry::Sphere & | sphere | ) |

コンストラクタ

Parameters

  [in] | sphere | 代入する球を表す Mix::Geometry::Sphere クラス

## Member Function Documentation

AABB& Mix::Geometry::AABB::ComputeMinMax | ( | void |  | ) |

頂点座標から最小値、最大値を求めます

Returns
  求められた AABB を表す Mix::Geometry::AABB クラスを返します

AABB& Mix::Geometry::AABB::ComputeMinMax | ( | const Mix::Matrix4x4 & | mat | ) |

頂点座標から最小値、最大値を求めます

Parameters

  [in] | mat | 変換行列を表す Mix::Matrix4x4 クラス

Returns
  求められた AABB を表す Mix::Geometry::AABB クラスを返します

AABB& Mix::Geometry::AABB::ComputePoints | ( | void |  | ) |

設定された「最小値」「最大値」を元にAABBの頂点座標(8つ)を求めます

Returns
  求められた AABB を表す Mix::Geometry::AABB クラスを返します

AABB& Mix::Geometry::AABB::ComputePoints | ( | const Mix::Matrix4x4 & | mat | ) |

最小値、最大値から頂点座標を求めます

Parameters

  [in] | mat | 変換行列を表す Mix::Matrix4x4 クラス

Returns
  求められた AABB を表す Mix::Geometry::AABB クラスを返します

AABB& Mix::Geometry::AABB::operator= | ( | const Mix::Geometry::Sphere & | sphere | ) |

球を代入します

Parameters

  [in] | sphere | 代入する球を表す Mix::Geometry::Sphere クラス

Returns
  代入したAABBを表す Mix::Geometry::AABB クラスを返します

Note
  min max center を求めます

AABB& Mix::Geometry::AABB::operator+= | ( | const Mix::Geometry::AABB & | aabb | ) |

AABBを代入結合します

Parameters

  [in] | aabb | 代入結合するAABBを表す Mix::Geometry::AABB クラス

Returns
  代入結合したAABBを表す Mix::Geometry::AABB クラスを返します

AABB& Mix::Geometry::AABB::operator+= | ( | const Mix::Geometry::Sphere & | sphere | ) |

球を代入結合します

Parameters

  [in] | sphere | 代入結合する球を表す Mix::Geometry::Sphere クラス

Returns
  代入結合したAABBを表す Mix::Geometry::AABB クラスを返します

AABB& Mix::Geometry::AABB::operator+= | ( | const Mix::Vector3 & | point | ) |

ポイントを代入結合します

Parameters

  [in] | point | 代入結合するポイントを表す Mix::Vector3 クラス

Returns
  代入結合したAABBを表す Mix::Geometry::AABB クラスを返します

AABB Mix::Geometry::AABB::operator+ | ( | const Mix::Geometry::AABB & | aabb | ) | const

AABBを結合します

Parameters

  [in] | aabb | 結合するAABBを表す Mix::Geometry::AABB クラス

Returns
  結合したAABBを表す Mix::Geometry::AABB クラスを返します

AABB Mix::Geometry::AABB::operator+ | ( | const Mix::Geometry::Sphere & | sphere | ) | const

球を結合します

Parameters

  [in] | sphere | 結合する球を表す Mix::Geometry::Sphere クラス

Returns
  結合したAABBを表す Mix::Geometry::AABB クラスを返します

AABB Mix::Geometry::AABB::operator+ | ( | const Mix::Vector3 & | point | ) | const

ポイントを結合します

Parameters

  [in] | point | 結合するポイントを表す Mix::Vector3 クラス

Returns
  結合したAABBを表す Mix::Geometry::AABB クラスを返します

## Member Data Documentation

Mix::Vector3 Mix::Geometry::AABB::min

最小値

Mix::Vector3 Mix::Geometry::AABB::max

最大値

Mix::Vector3 Mix::Geometry::AABB::center

中心

Mix::Vector3 Mix::Geometry::AABB::points[8]

頂点座標配列

The documentation for this class was generated from the following file:

- Mix/Geometry/AABB.h